import { SurveyResponse, SurveyType } from '@parlor/common';
export declare const useGetSurveyResponses: (organizationID: string, segmentID: string, surveyType: SurveyType) => {
    data: SurveyResponse[];
    isLoading: boolean;
    fetchMore: <TFetchData = import("@parlor/common").SurveyResponseListQuery, TFetchVars = import("@parlor/common").Exact<{
        filter?: import("@parlor/common").SurveyResponseFilter;
        paging?: import("@parlor/common").CursorPaging;
        sorting?: import("@parlor/common").SurveyResponseSort | import("@parlor/common").SurveyResponseSort[];
    }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
        updateQuery?: (previousQueryResult: import("@parlor/common").SurveyResponseListQuery, options: {
            fetchMoreResult: TFetchData;
            variables: TFetchVars;
        }) => import("@parlor/common").SurveyResponseListQuery;
    }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    endCursor: any;
    hasNextPage: boolean;
} | {
    data: SurveyResponse[];
    isLoading: boolean;
    fetchMore: <TFetchData_1 = import("@parlor/common").GetSurveyResponsesBySegmentQuery, TFetchVars_1 = import("@parlor/common").Exact<{
        organizationID: string;
        segmentID: string;
        surveyType: SurveyType;
    }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars_1, TFetchData_1> & {
        updateQuery?: (previousQueryResult: import("@parlor/common").GetSurveyResponsesBySegmentQuery, options: {
            fetchMoreResult: TFetchData_1;
            variables: TFetchVars_1;
        }) => import("@parlor/common").GetSurveyResponsesBySegmentQuery;
    }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData_1>>;
    endCursor: any;
    hasNextPage: boolean;
};
